$gridWidth: 100%;
$gridCols: 12;
$gridGutter: 0;
$gridColumn: $gridWidth / $gridCols;

.grid {
  clear: both;
  width: $gridWidth;
  padding: 0;
  margin: 0;
  overflow: auto;
}
.grid_row {
  overflow: auto;
}
.grid_col1,
.grid_col2,
.grid_col3,
.grid_col4,
.grid_col5,
.grid_col6,
.grid_col7,
.grid_col8,
.grid_col9,
.grid_col10,
.grid_col11,
.grid_col12 {
  float: left;
  overflow: auto;
}
.grid_g1_push,
.grid_g2_push,
.grid_g3_push,
.grid_g4_push,
.grid_g5_push,
.grid_g6_push,
.grid_g7_push,
.grid_g8_push,
.grid_g9_push,
.grid_g10_push,
.grid_g11_push,
.grid_g12_push,
.grid_g1_pull,
.grid_g2_pull,
.grid_g3_pull,
.grid_g4_pull,
.grid_g5_pull,
.grid_g6_pull,
.grid_g7_pull,
.grid_g8_pull,
.grid_g9_pull,
.grid_g10_pull,
.grid_g11_pull,
.grid_g12_pull {
  position: relative;
}

@for $i from 1 through $gridCols {
  .grid_col#{$i} {
    width: ($i * $gridColumn) - $gridGutter;
  }
}
@for $i from 1 through $gridCols - 1 {
  .grid_g#{$i}_offset {
    padding-left: ($i * $gridColumn);
  }
}
@for $i from 1 through $gridCols - 1 {
  .grid_g#{$i}_push {
    left: $i * $gridColumn;
  }
}
@for $i from 1 through $gridCols - 1 {
  .grid_g#{$i}_pull {
    right: $i * $gridColumn;
  }
}
